Bug 111991 - getMileage doesn't
getMileage doesn't
Status: NEW
Product: Red Hat Web Application Framework
Classification: Retired
Component: documentation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-12 10:06 EST by Steve Etherington
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Etherington 2003-12-12 10:06:30 EST
Description of problem:

p 36 creating a content type.

This would not get the mileage!

public float getMileage() {
    Float cost = (Float) get(ASKING_PRICE);
    if (cost == null) {
        return 0;
    }
    return cost.floatValue();
}

Version-Release number of selected component (if applicable):
rhea-dg-cms-en(EN)-dev-Print-RHI (2003-09-09T16:20-0700)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The section on creating a content type is very muddled and 
incomplete. As well as sorting out the obvious repetition and change 
from Car to Birdwatch, I think this section should also provide more 
info on how content types are really created. Eg, *Initializer, 
*Loader, *.pdl.mf, 6 SQL files instead of one, etc. (Perhaps some of 
this is going in chapters 11 and 12 though.)

Note You need to log in before you can comment on or make changes to this bug.